My Oracle Support Banner

OLVM: Upgrade KVM Host Failed with Kubernetes Packages installed. (Doc ID 2669281.1)

Last updated on APRIL 27, 2021

Applies to:

Linux OS - Version Oracle Linux 7.6 and later
Linux x86-64

Symptoms

When upgrading the KVM host from 4.2.8 to 4.3.6 by: AdminPortal-->Compute-->Host-->Click the KVM host-->Action Items: A new version is available-->Click "Upgrade", it failed.

In host deploy /var/log/ovirt-engine/host-deploy/ovirt-host-mgmt-ansible-xxxxxx.log, it reports the below error:

--snip--
 
2020-05-11 16:18:44,873 p=3685 u=ovirt | TASK [ovirt-host-upgrade : Update system] **************************************
2020-05-11 16:19:12,853 p=3685 u=ovirt | fatal: [KVM Host IP Addr]: FAILED! => {
"changed": true,
"rc": 1,
"results": [
"Loaded plugins: ulninfo, vdsmupgrade
 Resolving Dependencies
--> Running transaction check
---> Package kernel-uek-firmware.noarch 0:4.1.12-124.39.2.el7uek will be installed
---> Package kubeadm.x86_64 0:1.9.11-2.1.1.el7 will be updated
---> Package kubeadm.x86_64 0:1.13.5-1.2.2.el7 will be an update
--> Finished Dependency Resolution
 --> Running transaction check
---> Package kernel-uek-firmware.noarch 0:4.1.12-124.24.3.el7uek will be erased
--> Finished Dependency Resolution
Dependencies Resolved
================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
kernel-uek-firmware noarch 4.1.12-124.39.2.el7uek ol7_UEKR4 2.6 M
Updating:
kubeadm x86_64 1.13.5-1.2.2.el7 ol7_k8s 8.0 M
Removing:
kernel-uek-firmware noarch 4.1.12-124.24.3.el7uek @ol7_UEKR4 2.9 M
Transaction Summary
================================================================================
Install 1 Package
Upgrade 1 Package
Remove 1 Package
Total download size: 11 M
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
--------------------------------------------------------------------------------
Total 885 kB/s | 11 MB 00:12
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : kernel-uek-firmware-4.1.12-124.39.2.el7uek.noarch 1/4
Can not upgrade kubeadm from version prior to 1.11 due to upgrade compatibility error: %pre(kubeadm-1.13.5-1.2.2.el7.x86_64) scriptlet failed, exit status 1
Cleanup : kernel-uek-firmware-4.1.12-124.24.3.el7uek.noarch 3/4
error: kubeadm-1.13.5-1.2.2.el7.x86_64: install failed
Verifying : kernel-uek-firmware-4.1.12-124.39.2.el7uek.noarch 1/4
Verifying : kubeadm-1.13.5-1.2.2.el7.x86_64 2/4
Verifying : kubeadm-1.9.11-2.1.1.el7.x86_64 3/4
Verifying : kernel-uek-firmware-4.1.12-124.24.3.el7uek.noarch 4/4
Removed:
kernel-uek-firmware.noarch 0:4.1.12-124.24.3.el7uek
Installed:
kernel-uek-firmware.noarch 0:4.1.12-124.39.2.el7uek
Failed:
kubeadm.x86_64 0:1.9.11-2.1.1.el7
kubeadm.x86_64 0:1.13.5-1.2.2.el7
Complete!
"
]
}
MSG:
Error in PREIN scriptlet in rpm package kubeadm-1.13.5-1.2.2.el7.x86_64
kubeadm-1.9.11-2.1.1.el7.x86_64 was supposed to be removed but is not!
2020-05-11 16:19:12,854 p=3685 u=ovirt | PLAY RECAP *********************************************************************
2020-05-11 16:19:12,854 p=3685 u=ovirt | <KVM Host IP Addr> : ok=5 changed=2 unreachable=0  failed=1     >>>>>>>>>>
 
--snip--

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.